# Convert Multiple Leads

## Inputs

Controls how many lead conversions are passed to the convertLead method in a single call. This number cannot exceed 100 per the docs.

| Name     | Required | Type                                                                                    | Description               |
| -------- | -------- | --------------------------------------------------------------------------------------- | ------------------------- |
| requests | Yes      | List<[ConvertLeadRequest](/kb/automation-builder-kit-abk/models/convertleadrequest.md)> | The Leads to be converted |

## Outputs

| Name         | Type                                                                                  | Description                                                                                                  |
| ------------ | ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| failureCount | Integer                                                                               | Count of failed Lead conversions. Specific errors are provided in the individual result returned in results. |
| results      | List<[ConvertLeadResult](/kb/automation-builder-kit-abk/models/convertleadresult.md)> | List of conversion results.                                                                                  |
| successCount | Integer                                                                               | Count of successful Lead conversions                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/actions/leads/multiconvertleadaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
